Public Member Functions | Data Fields

# LinkGraphJob::EdgeAnnotation Struct Reference

Annotation for a link graph edge. More...

## Public Member Functions
void | Init ()
| Initialize a linkgraph job edge.
## Data Fields
uint | demand
| Transport demand between the nodes.
uint | unsatisfied_demand
| Demand over this edge that hasn't been satisfied yet.
uint | flow
| Planned flow over this edge.

## Detailed Description

Annotation for a link graph edge.

Definition at line 36 of file linkgraphjob.h.

The documentation for this struct was generated from the following files:

- src/linkgraph/linkgraphjob.h
- src/linkgraph/linkgraphjob.cpp